Bug 15124 - rpcclient can crash using setuserinfo(2)
Summary: rpcclient can crash using setuserinfo(2)
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools (show other bugs)
Version: 4.16.2
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-18 12:47 UTC by Andreas Schneider
Modified: 2022-07-31 19:45 UTC (History)
2 users (show)

See Also:


Attachments
"raw" untested patch. (1.40 KB, patch)
2022-07-18 18:19 UTC, Jeremy Allison
no flags Details
patch for 4.16 and 4.15 (2.30 KB, patch)
2022-07-19 06:44 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2022-07-18 12:47:52 UTC
rpcclient can crash using setuserinfo(2) with:

smb_panic (why=0x7fa8c511aa88 "Frame not freed in order.")
Comment 1 Jeremy Allison 2022-07-18 18:19:27 UTC
Created attachment 17426 [details]
"raw" untested patch.
Comment 2 Jeremy Allison 2022-07-18 18:30:36 UTC
At least it compiles :-).
Comment 3 Samba QA Contact 2022-07-18 21:22:03 UTC
This bug was referenced in samba master:

2b32d932223e61935fc530eff1c05034ff817e21
Comment 4 Andreas Schneider 2022-07-19 06:44:19 UTC
Created attachment 17428 [details]
patch for 4.16 and 4.15
Comment 5 Jeremy Allison 2022-07-19 15:55:49 UTC
Re-assigning to Jule for inclusion in 4.16.next, 4.15.next.
Comment 6 Jule Anger 2022-07-31 18:03:06 UTC
Pushed to autobuild-v4-{16,15}-test.
Comment 7 Samba QA Contact 2022-07-31 19:08:11 UTC
This bug was referenced in samba v4-15-test:

f9815fddb5e1a49c18e43c31a6f07af4def43393
Comment 8 Samba QA Contact 2022-07-31 19:15:11 UTC
This bug was referenced in samba v4-16-test:

529e86163a34845502e89f56801be476ec35348c
Comment 9 Jule Anger 2022-07-31 19:45:18 UTC
Closing out bug report.

Thanks!